# Generated by Django 4.1.3 on 2022-11-07 09:31

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('client_id', models.CharField(max_length=5, primary_key=True, serialize=False)),
                ('client_name', models.CharField(max_length=25)),
                ('contact_no', models.CharField(max_length=10, unique=True, validators=[django.core.validators.MinLengthValidator(10), django.core.validators.MaxLengthValidator(10)])),
            ],
        ),
        migrations.CreateModel(
            name='Department',
            fields=[
                ('department_id', models.CharField(max_length=5, primary_key=True, serialize=False, unique=True)),
                ('department_name', models.CharField(max_length=25, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Employee',
            fields=[
                ('employee_id', models.CharField(max_length=5, primary_key=True, serialize=False, unique=True)),
                ('employee_name', models.CharField(max_length=25)),
                ('contact_no', models.CharField(max_length=10, unique=True, validators=[django.core.validators.MinLengthValidator(10), django.core.validators.MaxLengthValidator(10)])),
                ('salary', models.DecimalField(decimal_places=2, max_digits=12)),
                ('joining_date', models.DateField(verbose_name='Joining Date')),
            ],
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('role_id', models.CharField(max_length=5, primary_key=True, serialize=False, unique=True)),
                ('role_name', models.CharField(max_length=50, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('project_id', models.CharField(max_length=5, primary_key=True, serialize=False, unique=True)),
                ('project_name', models.CharField(max_length=50)),
                ('project_rating', models.IntegerField(help_text='Rate between 1-5', validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(5)])),
                ('client', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='ems.client')),
            ],
        ),
        migrations.CreateModel(
            name='EmployeeDetail',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('department', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ems.department')),
                ('employee', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='employee', to='ems.employee')),
                ('manager', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='manager', to='ems.employee')),
                ('project', models.ManyToManyField(to='ems.project')),
                ('role', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ems.role')),
            ],
        ),
    ]
